% -------------------------------------------------------------------------
% Integral Norm in time with respect to some weight matrix W.
%
% Input:
% X .......................................... NxNt time-dependent vector
% W .......................................... NxN weight matrix
% dt ......................................... 1x1 time stepsize
%
% Output:
% n .......................................... weighted L2 norm of X
% -------------------------------------------------------------------------

function n = Norm(X,W,dt)

n = sqrt(dt*trapz(diag(X'*W*X),1));
  
% -------------------------------------------------------------------------
% Martin Gubisch
% 12.09.2013 --- 17:16